
'=======================================================
'                                                      '
'            -------------------------                 '
'                  StringMap.inc                       '
'            -------------------------                 '
'                                                      '
'     This include file & lib file will help you to    ' 
'                manipulate strings.                   ' 
'                                                      '
'                   By Andy1966.                       '
'                                                      '
'=======================================================

$use "StringMap.lib"

'==============================================
' Declare External functions of the lib file. '
'==============================================

declare extern SMSearchText(string SMAstring,string SMDelimiter),int
declare extern SMReplaceDel(string SMAstring,string SMDelimiter,string SMNewDelimiter),string
declare extern SMCountBlocks(string SMAstring,string SMDelimiter),int
declare extern SMGetFirstText(string SMAstring,string SMDelimiter),string 
declare extern SMGetNextText(string SMAstring,string SMDelimiter,int SMBlockCount),string
declare extern SMGetLastText(string SMAstring,string SMDelimiter),string
declare extern SMBCount(string SMAstring,string SMDelimiter),int
declare extern SMInstrAll(string SMAstring,string SMSearchInText),int
declare extern SMInstrX(string SMAstring,string SMSearchInText,int SMInstance),int
declare extern SMReplaceString(string SMAstringIn,string SMSearchInText,int SMInstance,string SMANewText),string
declare extern SMReplaceFirstString(string SMAstringIn,string SMSearchInText,string SMANewText),string
declare extern SMReplaceLastString(string SMAstringIn,string SMSearchInText,string SMANewText),string
declare extern SMReplaceAllStrings(string SMAstring,string SMSearchInText,string SMANewText),string
declare extern SMReplaceStringBetween(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2,string SMReplaceWith),string
declare extern SMReplaceStringFrom(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2,string SMReplaceWith),string
declare extern SMReplaceString2(string SMAstringIn,string SMSearchInText,string SMANewText,INT SMSearchStringIn),string
declare extern SMGetTheStringPos(string SMAstringIn,string SMSearchInText,int SMSearchNo),int
declare extern SMGetNextInst(string SMAstringIn,string SMSearchInText,int SMInst),string
declare extern SMGetStringBefore(string SMAstringIn,string SMSearchInText,int SMBin),string
declare extern SMGetAfterString(string SMAstringIn,string SMSearchInText,int SMBin),string
declare extern SMGetStringBetween(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMGetStringFrom(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCheckValues(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2)
declare extern SMCheckValuesI1(string SMAstringIn,string SMSearchInText1,int SMBin1),int 
declare extern SMCheckValuesI2(string SMAstringIn,string SMSearchInText2,int SMBin2),int
declare extern SMStringCheck(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCheckPositions(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCountDels(string SMAstringIn,string SMDelimiter),int
declare extern SMGetBeforeDel(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetAfterDel(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetFromDel(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetBetweenDel(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMDelin2),string
declare extern SMGetFromDelToDel(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMDelin2),string
declare extern SMGetNextDelimiter(string SMAstringIn,string SMDelimiter,int SMDelin),int
declare extern SMGetFromDelToText(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMBlockIn1),string
declare extern SMGetFromTextToDel(string SMAstringIn,string SMDelimiter,int SMBlockIn1,int SMDelin1),string
declare extern SMDebug(int SMDebugIn),int
declare extern SMFirstTextPos(),int
declare extern SMNextTextPos(),int
declare extern SMLastTextPos(),int
declare extern SMTrue(),int
declare extern SMEndStringMap(),int

'==============================================
' Declare External variables of the lib file. '
'==============================================

extern SMDebug as int
extern SMCorrect as int 

'==============================================
' Set Debug messages to zero (none), or 1 on. '
'==============================================

SMDebug   = 0

'===========================================================
' Try to correct instance numbers - zero (no), or 1 (yes). '
'===========================================================

SMCorrect = 1

'==============================================
' ********** End of include file ************** 
'==============================================

